Package com.clickhouse.jdbc

# Class AbstractResultSet

java.lang.Object
com.clickhouse.jdbc.JdbcWrapper
com.clickhouse.jdbc.AbstractResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

Direct Known Subclasses:
  `ClickHouseResultSet`, `CombinedResultSet`

@Deprecated public abstract class AbstractResultSet extends JdbcWrapper implements ResultSet
Deprecated.

## Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractResultSet()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int row)`
Deprecated.
`void`
`afterLast()`
Deprecated.
`void`
`beforeFirst()`
Deprecated.
`void`
`cancelRowUpdates()`
Deprecated.
`void`
`clearWarnings()`
Deprecated.
`void`
`deleteRow()`
Deprecated.
`protected void`
`ensureOpen()`
Deprecated.
`boolean`
`first()`
Deprecated.
`int`
`getConcurrency()`
Deprecated.
`int`
`getFetchDirection()`
Deprecated.
`int`
`getHoldability()`
Deprecated.
`int`
`getType()`
Deprecated.
`SQLWarning`
`getWarnings()`
Deprecated.
`void`
`insertRow()`
Deprecated.
`boolean`
`last()`
Deprecated.
`void`
`moveToCurrentRow()`
Deprecated.
`void`
`moveToInsertRow()`
Deprecated.
`boolean`
`previous()`
Deprecated.
`void`
`refreshRow()`
Deprecated.
`boolean`
`relative(int rows)`
Deprecated.
`boolean`
`rowDeleted()`
Deprecated.
`boolean`
`rowInserted()`
Deprecated.
`boolean`
`rowUpdated()`
Deprecated.
`void`
`setFetchDirection(int direction)`
Deprecated.
`void`
`updateArray(int columnIndex, Array x)`
Deprecated.
`void`
`updateArray(String columnLabel, Array x)`
Deprecated.
`void`
`updateAsciiStream(int columnIndex, InputStream x)`
Deprecated.
`void`
`updateAsciiStream(int columnIndex, InputStream x, int length)`
Deprecated.
`void`
`updateAsciiStream(int columnIndex, InputStream x, long length)`
Deprecated.
`void`
`updateAsciiStream(String columnLabel, InputStream x)`
Deprecated.
`void`
`updateAsciiStream(String columnLabel, InputStream x, int length)`
Deprecated.
`void`
`updateAsciiStream(String columnLabel, InputStream x, long length)`
Deprecated.
`void`
`updateBigDecimal(int columnIndex, BigDecimal x)`
Deprecated.
`void`
`updateBigDecimal(String columnLabel, BigDecimal x)`
Deprecated.
`void`
`updateBinaryStream(int columnIndex, InputStream x)`
Deprecated.
`void`
`updateBinaryStream(int columnIndex, InputStream x, int length)`
Deprecated.
`void`
`updateBinaryStream(int columnIndex, InputStream x, long length)`
Deprecated.
`void`
`updateBinaryStream(String columnLabel, InputStream x)`
Deprecated.
`void`
`updateBinaryStream(String columnLabel, InputStream x, int length)`
Deprecated.
`void`
`updateBinaryStream(String columnLabel, InputStream x, long length)`
Deprecated.
`void`
`updateBlob(int columnIndex, InputStream inputStream)`
Deprecated.
`void`
`updateBlob(int columnIndex, InputStream inputStream, long length)`
Deprecated.
`void`
`updateBlob(int columnIndex, Blob x)`
Deprecated.
`void`
`updateBlob(String columnLabel, InputStream inputStream)`
Deprecated.
`void`
`updateBlob(String columnLabel, InputStream inputStream, long length)`
Deprecated.
`void`
`updateBlob(String columnLabel, Blob x)`
Deprecated.
`void`
`updateBoolean(int columnIndex, boolean x)`
Deprecated.
`void`
`updateBoolean(String columnLabel, boolean x)`
Deprecated.
`void`
`updateByte(int columnIndex, byte x)`
Deprecated.
`void`
`updateByte(String columnLabel, byte x)`
Deprecated.
`void`
`updateBytes(int columnIndex, byte[] x)`
Deprecated.
`void`
`updateBytes(String columnLabel, byte[] x)`
Deprecated.
`void`
`updateCharacterStream(int columnIndex, Reader reader)`
Deprecated.
`void`
`updateCharacterStream(int columnIndex, Reader reader, int length)`
Deprecated.
`void`
`updateCharacterStream(int columnIndex, Reader reader, long length)`
Deprecated.
`void`
`updateCharacterStream(String columnLabel, Reader reader)`
Deprecated.
`void`
`updateCharacterStream(String columnLabel, Reader reader, int length)`
Deprecated.
`void`
`updateCharacterStream(String columnLabel, Reader reader, long length)`
Deprecated.
`void`
`updateClob(int columnIndex, Reader reader)`
Deprecated.
`void`
`updateClob(int columnIndex, Reader reader, long length)`
Deprecated.
`void`
`updateClob(int columnIndex, Clob x)`
Deprecated.
`void`
`updateClob(String columnLabel, Reader reader)`
Deprecated.
`void`
`updateClob(String columnLabel, Reader reader, long length)`
Deprecated.
`void`
`updateClob(String columnLabel, Clob x)`
Deprecated.
`void`
`updateDate(int columnIndex, Date x)`
Deprecated.
`void`
`updateDate(String columnLabel, Date x)`
Deprecated.
`void`
`updateDouble(int columnIndex, double x)`
Deprecated.
`void`
`updateDouble(String columnLabel, double x)`
Deprecated.
`void`
`updateFloat(int columnIndex, float x)`
Deprecated.
`void`
`updateFloat(String columnLabel, float x)`
Deprecated.
`void`
`updateInt(int columnIndex, int x)`
Deprecated.
`void`
`updateInt(String columnLabel, int x)`
Deprecated.
`void`
`updateLong(int columnIndex, long x)`
Deprecated.
`void`
`updateLong(String columnLabel, long x)`
Deprecated.
`void`
`updateNCharacterStream(int columnIndex, Reader reader)`
Deprecated.
`void`
`updateNCharacterStream(int columnIndex, Reader reader, long length)`
Deprecated.
`void`
`updateNCharacterStream(String columnLabel, Reader reader)`
Deprecated.
`void`
`updateNCharacterStream(String columnLabel, Reader reader, long length)`
Deprecated.
`void`
`updateNClob(int columnIndex, Reader reader)`
Deprecated.
`void`
`updateNClob(int columnIndex, Reader reader, long length)`
Deprecated.
`void`
`updateNClob(int columnIndex, NClob nClob)`
Deprecated.
`void`
`updateNClob(String columnLabel, Reader reader)`
Deprecated.
`void`
`updateNClob(String columnLabel, Reader reader, long length)`
Deprecated.
`void`
`updateNClob(String columnLabel, NClob nClob)`
Deprecated.
`void`
`updateNString(int columnIndex, String nString)`
Deprecated.
`void`
`updateNString(String columnLabel, String nString)`
Deprecated.
`void`
`updateNull(int columnIndex)`
Deprecated.
`void`
`updateNull(String columnLabel)`
Deprecated.
`void`
`updateObject(int columnIndex, Object x)`
Deprecated.
`void`
`updateObject(int columnIndex, Object x, int scaleOrLength)`
Deprecated.
`void`
`updateObject(int columnIndex, Object x, SQLType targetSqlType)`
Deprecated.
`void`
`updateObject(int columnIndex, Object x, SQLType targetSqlType, int scaleOrLength)`
Deprecated.
`void`
`updateObject(String columnLabel, Object x)`
Deprecated.
`void`
`updateObject(String columnLabel, Object x, int scaleOrLength)`
Deprecated.
`void`
`updateObject(String columnLabel, Object x, SQLType targetSqlType)`
Deprecated.
`void`
`updateObject(String columnLabel, Object x, SQLType targetSqlType, int scaleOrLength)`
Deprecated.
`void`
`updateRef(int columnIndex, Ref x)`
Deprecated.
`void`
`updateRef(String columnLabel, Ref x)`
Deprecated.
`void`
`updateRow()`
Deprecated.
`void`
`updateRowId(int columnIndex, RowId x)`
Deprecated.
`void`
`updateRowId(String columnLabel, RowId x)`
Deprecated.
`void`
`updateShort(int columnIndex, short x)`
Deprecated.
`void`
`updateShort(String columnLabel, short x)`
Deprecated.
`void`
`updateSQLXML(int columnIndex, SQLXML xmlObject)`
Deprecated.
`void`
`updateSQLXML(String columnLabel, SQLXML xmlObject)`
Deprecated.
`void`
`updateString(int columnIndex, String x)`
Deprecated.
`void`
`updateString(String columnLabel, String x)`
Deprecated.
`void`
`updateTime(int columnIndex, Time x)`
Deprecated.
`void`
`updateTime(String columnLabel, Time x)`
Deprecated.
`void`
`updateTimestamp(int columnIndex, Timestamp x)`
Deprecated.
`void`
`updateTimestamp(String columnLabel, Timestamp x)`
Deprecated.

### Methods inherited from class com.clickhouse.jdbc.JdbcWrapper

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`close, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, next, setFetchSize, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### AbstractResultSet

public AbstractResultSet()
Deprecated.

## Method Details

### ensureOpen

protected void ensureOpen() throws SQLException
Deprecated.

Throws:
  `SQLException`

### absolute

public boolean absolute(int row) throws SQLException
Deprecated.

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

### afterLast

public void afterLast() throws SQLException
Deprecated.

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

### beforeFirst

public void beforeFirst() throws SQLException
Deprecated.

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

### cancelRowUpdates

public void cancelRowUpdates() throws SQLException
Deprecated.

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

### clearWarnings

public void clearWarnings() throws SQLException
Deprecated.

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

### deleteRow

public void deleteRow() throws SQLException
Deprecated.

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

### first

public boolean first() throws SQLException
Deprecated.

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

### getConcurrency

public int getConcurrency() throws SQLException
Deprecated.

Specified by:
  `getConcurrency` in interface `ResultSet`
Throws:
  `SQLException`

### getFetchDirection

public int getFetchDirection() throws SQLException
Deprecated.

Specified by:
  `getFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### getHoldability

public int getHoldability() throws SQLException
Deprecated.

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

### getType

public int getType() throws SQLException
Deprecated.

Specified by:
  `getType` in interface `ResultSet`
Throws:
  `SQLException`

### getWarnings

public SQLWarning getWarnings() throws SQLException
Deprecated.

Specified by:
  `getWarnings` in interface `ResultSet`
Throws:
  `SQLException`

### insertRow

public void insertRow() throws SQLException
Deprecated.

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

### last

public boolean last() throws SQLException
Deprecated.

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

### moveToCurrentRow

public void moveToCurrentRow() throws SQLException
Deprecated.

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

### moveToInsertRow

public void moveToInsertRow() throws SQLException
Deprecated.

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

### previous

public boolean previous() throws SQLException
Deprecated.

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

### refreshRow

public void refreshRow() throws SQLException
Deprecated.

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

### relative

public boolean relative(int rows) throws SQLException
Deprecated.

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

### rowDeleted

public boolean rowDeleted() throws SQLException
Deprecated.

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

### rowInserted

public boolean rowInserted() throws SQLException
Deprecated.

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

### rowUpdated

public boolean rowUpdated() throws SQLException
Deprecated.

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

### setFetchDirection

public void setFetchDirection(int direction) throws SQLException
Deprecated.

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(int columnIndex, Array x) throws SQLException
Deprecated.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateArray

public void updateArray(String columnLabel, Array x) throws SQLException
Deprecated.

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(int columnIndex, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateAsciiStream

public void updateAsciiStream(String columnLabel, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException
Deprecated.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBigDecimal

public void updateBigDecimal(String columnLabel, BigDecimal x) throws SQLException
Deprecated.

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x, int length) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(int columnIndex, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBinaryStream

public void updateBinaryStream(String columnLabel, InputStream x, long length) throws SQLException
Deprecated.

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, Blob x) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, Blob x) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, InputStream inputStream) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, InputStream inputStream) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(int columnIndex, InputStream inputStream, long length) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBlob

public void updateBlob(String columnLabel, InputStream inputStream, long length) throws SQLException
Deprecated.

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(int columnIndex, boolean x) throws SQLException
Deprecated.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateBoolean

public void updateBoolean(String columnLabel, boolean x) throws SQLException
Deprecated.

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(int columnIndex, byte x) throws SQLException
Deprecated.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateByte

public void updateByte(String columnLabel, byte x) throws SQLException
Deprecated.

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(int columnIndex, byte[] x) throws SQLException
Deprecated.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateBytes

public void updateBytes(String columnLabel, byte[] x) throws SQLException
Deprecated.

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader reader, int length) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader reader, int length) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(int columnIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateCharacterStream

public void updateCharacterStream(String columnLabel, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Clob x) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Clob x) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(int columnIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateClob

public void updateClob(String columnLabel, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(int columnIndex, Date x) throws SQLException
Deprecated.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDate

public void updateDate(String columnLabel, Date x) throws SQLException
Deprecated.

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(int columnIndex, double x) throws SQLException
Deprecated.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateDouble

public void updateDouble(String columnLabel, double x) throws SQLException
Deprecated.

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(int columnIndex, float x) throws SQLException
Deprecated.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateFloat

public void updateFloat(String columnLabel, float x) throws SQLException
Deprecated.

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(int columnIndex, int x) throws SQLException
Deprecated.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateInt

public void updateInt(String columnLabel, int x) throws SQLException
Deprecated.

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(int columnIndex, long x) throws SQLException
Deprecated.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateLong

public void updateLong(String columnLabel, long x) throws SQLException
Deprecated.

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int columnIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String columnLabel, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(int columnIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNCharacterStream

public void updateNCharacterStream(String columnLabel, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, NClob nClob) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, NClob nClob) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, Reader reader) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(int columnIndex, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNClob

public void updateNClob(String columnLabel, Reader reader, long length) throws SQLException
Deprecated.

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(int columnIndex, String nString) throws SQLException
Deprecated.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNString

public void updateNString(String columnLabel, String nString) throws SQLException
Deprecated.

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(int columnIndex) throws SQLException
Deprecated.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateNull

public void updateNull(String columnLabel) throws SQLException
Deprecated.

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x, int scaleOrLength) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x, int scaleOrLength) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x, SQLType targetSqlType) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x, SQLType targetSqlType) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(int columnIndex, Object x, SQLType targetSqlType, int scaleOrLength) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateObject

public void updateObject(String columnLabel, Object x, SQLType targetSqlType, int scaleOrLength) throws SQLException
Deprecated.

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(int columnIndex, Ref x) throws SQLException
Deprecated.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRef

public void updateRef(String columnLabel, Ref x) throws SQLException
Deprecated.

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

### updateRow

public void updateRow() throws SQLException
Deprecated.

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(int columnIndex, RowId x) throws SQLException
Deprecated.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateRowId

public void updateRowId(String columnLabel, RowId x) throws SQLException
Deprecated.

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(int columnIndex, SQLXML xmlObject) throws SQLException
Deprecated.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateSQLXML

public void updateSQLXML(String columnLabel, SQLXML xmlObject) throws SQLException
Deprecated.

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(int columnIndex, short x) throws SQLException
Deprecated.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateShort

public void updateShort(String columnLabel, short x) throws SQLException
Deprecated.

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(int columnIndex, String x) throws SQLException
Deprecated.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateString

public void updateString(String columnLabel, String x) throws SQLException
Deprecated.

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(int columnIndex, Time x) throws SQLException
Deprecated.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTime

public void updateTime(String columnLabel, Time x) throws SQLException
Deprecated.

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(int columnIndex, Timestamp x) throws SQLException
Deprecated.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

### updateTimestamp

public void updateTimestamp(String columnLabel, Timestamp x) throws SQLException
Deprecated.

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`